> For the complete documentation index, see [llms.txt](https://docs.maiagent.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maiagent.ai/api/ja/api-reference/zhi-shi-ku-xin-ban.md).

# ナレッジベース（新版）

### ナレッジベースを作成 <a href="#knowledge-bases-create" id="knowledge-bases-create"></a>

POST `/api/v1/knowledge-bases/`

#### リクエストボディ

**リクエストパラメータ**

| フィールド                   | 型               | 必須  | 説明                                                                                                                                                                                                          |
| ----------------------- | --------------- | --- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| embeddingModel          | string (uuid)   | はい  |                                                                                                                                                                                                             |
| rerankerModel           | string (uuid)   | はい  |                                                                                                                                                                                                             |
| name                    | string          | はい  |                                                                                                                                                                                                             |
| description             | string          | いいえ |                                                                                                                                                                                                             |
| numberOfRetrievedChunks | integer         | いいえ | 取得する参考チャンクの数です。デフォルトは 12、最小値は 1 です                                                                                                                                                                          |
| enableHyde              | boolean         | いいえ | HyDE を有効にします。デフォルトは False です                                                                                                                                                                                |
| similarityCutoff        | number (double) | いいえ | 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です                                                                                                                                                                        |
| enableRerank            | boolean         | いいえ | リランキングを有効にするかどうかを指定します。デフォルトは True です                                                                                                                                                                       |
| enableRrf               | boolean         | いいえ | Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. If not provided, uses system default.                                             |
| vectorDatabaseType      | object          | いいえ | Type of vector database: elasticsearch, opensearch, oracle or synxdb. Defaults to the platform-managed engine. `elasticsearch`: Elasticsearch ; `opensearch`: OpenSearch ; `oracle`: Oracle AI Database ... |
| vectorDatabaseUrl       | string          | いいえ | Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "<https://host:9200>"). For Oracle: DSN format (e.g., "host:1521/service\_name").                        |
| vectorDatabaseApiKey    | string          | いいえ | API Key for Elasticsearch. Not used for OpenSearch.                                                                                                                                                         |
| opensearchUsername      | string          | いいえ | Username for OpenSearch Basic Auth.                                                                                                                                                                         |
| opensearchPassword      | string          | いいえ | Password for OpenSearch Basic Auth.                                                                                                                                                                         |
| oracleUser              | string          | いいえ | Oracle database username.                                                                                                                                                                                   |
| oraclePassword          | string          | いいえ | Oracle database password.                                                                                                                                                                                   |
| synxdbUser              | string          | いいえ | SynxDB database username.                                                                                                                                                                                   |
| synxdbPassword          | string          | いいえ | SynxDB database password.                                                                                                                                                                                   |
| chatbots                | array\[IdName]  | いいえ |                                                                                                                                                                                                             |
| groups                  | array\[IdName]  | いいえ |                                                                                                                                                                                                             |

**リクエストスキーマの例**

```typescript
{
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参考チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // リランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. If not provided, uses system default. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch, opensearch, oracle or synxdb. Defaults to the platform-managed engine.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
    }
  ]
  "groups"?: [ // 任意
    {
      "id": string (uuid)
    }
  ]
}
```

**リクエスト値の例**

```json
{
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "サンプル名",
  "description": "サンプル文字列",
  "numberOfRetrievedChunks": 123,
  "enableHyde": true,
  "similarityCutoff": 123,
  "enableRerank": true,
  "enableRrf": true,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "サンプル文字列",
  "vectorDatabaseApiKey": "サンプル文字列",
  "opensearchUsername": "サンプル文字列",
  "opensearchPassword": "サンプル文字列",
  "oracleUser": "サンプル文字列",
  "oraclePassword": "サンプル文字列",
  "synxdbUser": "サンプル文字列",
  "synxdbPassword": "サンプル文字列",
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
```

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出しの例 (Shell)
curl -X POST "https://api.maiagent.ai/api/v1/knowledge-bases/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  }'

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
};

// リクエストボディ (payload)
const data = {
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  };

axios.post("https://api.maiagent.ai/api/v1/knowledge-bases/", data, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY",
    "Content-Type": "application/json"
}

# リクエストボディ (payload)
data = {
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": True,
    "similarityCutoff": 123,
    "enableRerank": True,
    "enableRrf": True,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ],
    "groups": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ]
}

response = requests.post(url, json=data, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->post("https://api.maiagent.ai/api/v1/knowledge-bases/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY',
            'Content-Type' => 'application/json'
        ],
        'json' => [
            'embeddingModel' => '550e8400-e29b-41d4-a716-446655440000',
            'rerankerModel' => '550e8400-e29b-41d4-a716-446655440000',
            'name' => 'サンプル名',
            'description' => 'サンプル文字列',
            'numberOfRetrievedChunks' => 123,
            'enableHyde' => true,
            'similarityCutoff' => 123,
            'enableRerank' => true,
            'enableRrf' => true,
            'vectorDatabaseType' => new \stdClass(),
            'vectorDatabaseUrl' => 'サンプル文字列',
            'vectorDatabaseApiKey' => 'サンプル文字列',
            'opensearchUsername' => 'サンプル文字列',
            'opensearchPassword' => 'サンプル文字列',
            'oracleUser' => 'サンプル文字列',
            'oraclePassword' => 'サンプル文字列',
            'synxdbUser' => 'サンプル文字列',
            'synxdbPassword' => 'サンプル文字列',
            'chatbots' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ],
            'groups' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ]
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 201**

**レスポンススキーマの例**

```typescript
{
  "id": string (uuid)
  "createdBy": 
  {
    "id": string (uuid)
    "name": string
  }
  "organization"?: string (uuid) // 任意
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参考チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // リランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "labels": [
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "groups"?: [ // ナレッジベースがアクセスできるグループの一覧です (任意)
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
  "vectorStorageSize": integer
  "chunksCount": integer
  "canUpdate": boolean // Return whether the current user can update this resource.
  "canDelete": boolean // Return whether the current user can delete this resource.
  "createdAt": string (timestamp)
  "updatedAt": string (timestamp)
}
```

**レスポンス値の例**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "レスポンス文字列"
  },
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列",
  "description": "レスポンス文字列",
  "numberOfRetrievedChunks": 456,
  "enableHyde": false,
  "similarityCutoff": 456,
  "enableRerank": false,
  "enableRrf": false,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "レスポンス文字列",
  "vectorDatabaseApiKey": "レスポンス文字列",
  "opensearchUsername": "レスポンス文字列",
  "opensearchPassword": "レスポンス文字列",
  "oracleUser": "レスポンス文字列",
  "oraclePassword": "レスポンス文字列",
  "synxdbUser": "レスポンス文字列",
  "synxdbPassword": "レスポンス文字列",
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "filesCount": 456,
  "vectorStorageSize": 456,
  "chunksCount": 456,
  "canUpdate": false,
  "canDelete": false,
  "createdAt": "レスポンス文字列",
  "updatedAt": "レスポンス文字列"
}
```

***

### すべてのナレッジベースを一覧表示 <a href="#knowledge-bases-list" id="knowledge-bases-list"></a>

GET `/api/v1/knowledge-bases/`

#### パラメータ

| パラメータ名           | 必須 | 型       | 説明                                             |
| ---------------- | -- | ------- | ---------------------------------------------- |
| `embeddingModel` | ❌  | string  |                                                |
| `page`           | ❌  | integer | A page number within the paginated result set. |
| `pageSize`       | ❌  | integer | Number of results to return per page.          |
| `query`          | ❌  | string  |                                                |
| `rerankerModel`  | ❌  | string  |                                                |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出しの例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000", config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->get("https://api.maiagent.ai/api/v1/knowledge-bases/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマの例**

```typescript
{
  "count": integer
  "next"?: string (uri) // 任意
  "previous"?: string (uri) // 任意
  "results": [
    {
      "id": string (uuid)
      "createdBy": 
      {
        "id": string (uuid)
        "name": string
      }
      "organization"?: string (uuid) // 任意
      "embeddingModel": string (uuid)
      "rerankerModel": string (uuid)
      "name": string
      "description"?: string // 任意
      "numberOfRetrievedChunks"?: integer // 取得する参考チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
      "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
      "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
      "enableRerank"?: boolean // リランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
      "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
      "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
      {
      }
      "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
      "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
      "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
      "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
      "oracleUser"?: string // Oracle database username. (任意)
      "oraclePassword"?: string // Oracle database password. (任意)
      "synxdbUser"?: string // SynxDB database username. (任意)
      "synxdbPassword"?: string // SynxDB database password. (任意)
      "labels": [
        {
          "id": string (uuid)
          "name": string
        }
      ]
      "chatbots"?: [ // 任意
        {
          "id": string (uuid)
          "name": string
        }
      ]
      "groups"?: [ // ナレッジベースがアクセスできるグループの一覧です (任意)
        {
          "id": string (uuid)
          "name": string
        }
      ]
      "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
      "vectorStorageSize": integer
      "chunksCount": integer
      "canUpdate": boolean // Return whether the current user can update this resource.
      "canDelete": boolean // Return whether the current user can delete this resource.
      "createdAt": string (timestamp)
      "updatedAt": string (timestamp)
    }
  ]
}
```

**レスポンス値の例**

```json
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "createdBy": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "レスポンス文字列"
      },
      "organization": "550e8400-e29b-41d4-a716-446655440000",
      "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
      "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列",
      "description": "レスポンス文字列",
      "numberOfRetrievedChunks": 456,
      "enableHyde": false,
      "similarityCutoff": 456,
      "enableRerank": false,
      "enableRrf": false,
      "vectorDatabaseType": {},
      "vectorDatabaseUrl": "レスポンス文字列",
      "vectorDatabaseApiKey": "レスポンス文字列",
      "opensearchUsername": "レスポンス文字列",
      "opensearchPassword": "レスポンス文字列",
      "oracleUser": "レスポンス文字列",
      "oraclePassword": "レスポンス文字列",
      "synxdbUser": "レスポンス文字列",
      "synxdbPassword": "レスポンス文字列",
      "labels": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "レスポンス文字列"
        }
      ],
      "chatbots": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "レスポンス文字列"
        }
      ],
      "groups": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "レスポンス文字列"
        }
      ],
      "filesCount": 456,
      "vectorStorageSize": 456,
      "chunksCount": 456,
      "canUpdate": false,
      "canDelete": false,
      "createdAt": "レスポンス文字列",
      "updatedAt": "レスポンス文字列"
    }
  ]
}
```

***

### 特定のナレッジベースの詳細を取得 <a href="#knowledge-bases-retrieve" id="knowledge-bases-retrieve"></a>

GET `/api/v1/knowledge-bases/{id}/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出しの例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマの例**

```typescript
{
  "id": string (uuid)
  "createdBy": 
  {
    "id": string (uuid)
    "name": string
  }
  "organization"?: string (uuid) // 省略可
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 省略可
  "numberOfRetrievedChunks"?: integer // 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です (省略可)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (省略可)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (省略可)
  "enableRerank"?: boolean // リランキングを有効にするかどうかを指定します。デフォルトは True です (省略可)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (省略可)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (省略可)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (省略可)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (省略可)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (省略可)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (省略可)
  "oracleUser"?: string // Oracle database username. (省略可)
  "oraclePassword"?: string // Oracle database password. (省略可)
  "synxdbUser"?: string // SynxDB database username. (省略可)
  "synxdbPassword"?: string // SynxDB database password. (省略可)
  "labels": [
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "chatbots"?: [ // 省略可
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧です (省略可)
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
  "vectorStorageSize": integer
  "chunksCount": integer
  "canUpdate": boolean // Return whether the current user can update this resource.
  "canDelete": boolean // Return whether the current user can delete this resource.
  "createdAt": string (timestamp)
  "updatedAt": string (timestamp)
}
```

**レスポンスの値の例**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "レスポンス文字列"
  },
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列",
  "description": "レスポンス文字列",
  "numberOfRetrievedChunks": 456,
  "enableHyde": false,
  "similarityCutoff": 456,
  "enableRerank": false,
  "enableRrf": false,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "レスポンス文字列",
  "vectorDatabaseApiKey": "レスポンス文字列",
  "opensearchUsername": "レスポンス文字列",
  "opensearchPassword": "レスポンス文字列",
  "oracleUser": "レスポンス文字列",
  "oraclePassword": "レスポンス文字列",
  "synxdbUser": "レスポンス文字列",
  "synxdbPassword": "レスポンス文字列",
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "filesCount": 456,
  "vectorStorageSize": 456,
  "chunksCount": 456,
  "canUpdate": false,
  "canDelete": false,
  "createdAt": "レスポンス文字列",
  "updatedAt": "レスポンス文字列"
}
```

***

### 特定のナレッジベースの内容を検索 <a href="#knowledge-bases-search-create" id="knowledge-bases-search-create"></a>

POST `/api/v1/knowledge-bases/{id}/search/`

#### パラメータ

| パラメータ名           | 必須 | 型       | 説明                                             |
| ---------------- | -- | ------- | ---------------------------------------------- |
| `id`             | ✅  | string  | A UUID string identifying this Knowledge Base. |
| `embeddingModel` | ❌  | string  |                                                |
| `page`           | ❌  | integer | A page number within the paginated result set. |
| `pageSize`       | ❌  | integer | Number of results to return per page.          |
| `query`          | ❌  | string  |                                                |
| `rerankerModel`  | ❌  | string  |                                                |

#### リクエストボディ

**リクエストパラメータ**

| フィールド         | 型      | 必須  | 説明                                                                                                                                                                                                |
| ------------- | ------ | --- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| searchMode    | object | いいえ | Search mode: hybrid (default, vector + BM25), semantic (vector only), keyword (BM25 only) `hybrid`: Hybrid (vector + BM25) ; `semantic`: Semantic (vector only) ; `keyword`: Keyword (BM25 only); |
| queryMetadata | object | いいえ | 検索範囲と検索方法を制御するクエリメタデータです                                                                                                                                                                          |

**リクエストスキーマの例**

```typescript
{
  "searchMode"?:  // Search mode: hybrid (default, vector + BM25), semantic (vector only), keyword (BM25 only)

* `hybrid` - Hybrid (vector + BM25)
* `semantic` - Semantic (vector only)
* `keyword` - Keyword (BM25 only) (省略可)
  {
  }
  "queryMetadata"?: object // 検索範囲と検索方法を制御するクエリメタデータです (省略可)
}
```

**リクエストの値の例**

```json
{
  "query": "API の使い方"
}
```

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X POST "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/search/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "API の使い方"
  }'

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
};

// リクエストボディ (payload)
const data = {
    "query": "API の使い方"
  };

axios.post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/search/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000", data, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/search/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY",
    "Content-Type": "application/json"
}

# リクエストボディ (payload)
data = {
    "query": "API の使い方"
}

response = requests.post(url, json=data, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/search/?embeddingModel=550e8400-e29b-41d4-a716-446655440000&page=1&pageSize=1&query=example&rerankerModel=550e8400-e29b-41d4-a716-446655440000", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY',
            'Content-Type' => 'application/json'
        ],
        'json' => [
            'query' => 'API の使い方'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマの例**

```typescript
{
  "count": integer
  "next"?: string (uri) // 省略可
  "previous"?: string (uri) // 省略可
  "results": [
    {
      "id": string (uuid)
      "charactersCount": integer
      "hitsCount": integer
      "text": string
      "updatedAt": string (timestamp)
      "filename": string
      "chatbotFile": object // フロントエンドで画像をプレビューできるように、ファイルの URL と型を含む ChatbotFile の完全な情報を返します
      "knowledgeBaseFile": object // get_chatbot_file と同じ情報を返し、後方互換性を提供します
      "pageNumber": integer // Backward-compatible alias of ``page_start``.
      "pageStart": integer
      "pageEnd": integer
      "citationTitle": string // Source title shown on the inline citation hover card.
      "citationDescription": string // Source description shown on the inline citation hover card.
      "citationQuote": string // Quoted text snippet shown on the inline citation hover card.
      "hasImage": boolean // 画像が含まれているかどうかを判定します（ファイルの型または text 内の Markdown 画像を確認します）
      "imageUrl": string // 画像の URL を抽出します（ファイルの URL を優先し、なければ Markdown から抽出します）
      "displayText": string // 画像の Markdown マークアップを除いた全文を返します
      "displayTitle": string // 表示タイトルを返します（fallback: citation_title -> filename）
      "highlightedText": string // Return text with matched terms wrapped in ``<mark>`` tags.

Priority:
1. ES/OpenSearch native highlight (set by retrieve_api via ``_es_highlighted_text``)
2. Python regex fallback (keyword-based, works for all backends)
      "labels": [
        {
          "id": string (uuid)
          "name": string
        }
      ]
      "rawUserDefineMetadata"?: object // Metadata keys and values defined by the user. (省略可)
      "metadataEnabledForSearch": object // Map each user-defined metadata key on this node to whether it was sent into the LLM.

A key reaches the LLM only when its ``MetadataKey.enabled_for_search`` is True *and*
the node carries a value for it. Since this maps over ``raw_user_define_metadata``
(the keys the cited-documents block displays, all of which have a value),
``enabled_for_search`` alone decides the flag. The source of truth is the node's
knowledge base ``MetadataKey`` current setting, matching the AI Search indicator.
      "startCharIdx": integer
      "endCharIdx": integer
    }
  ]
}
```

**レスポンスの値の例**

```json
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "charactersCount": 456,
      "hitsCount": 456,
      "text": "レスポンス文字列",
      "updatedAt": "レスポンス文字列",
      "filename": "レスポンス文字列",
      "chatbotFile": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "レスポンスの名前の例",
        "description": "レスポンスの説明の例"
      },
      "knowledgeBaseFile": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "name": "レスポンスの名前の例",
        "description": "レスポンスの説明の例"
      },
      "pageNumber": 456,
      "pageStart": 456,
      "pageEnd": 456,
      "citationTitle": "レスポンス文字列",
      "citationDescription": "レスポンス文字列",
      "citationQuote": "レスポンス文字列",
      "hasImage": false,
      "imageUrl": "レスポンス文字列",
      "displayText": "レスポンス文字列",
      "displayTitle": "レスポンス文字列",
      "highlightedText": "レスポンス文字列",
      "labels": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "name": "レスポンス文字列"
        }
      ],
      "rawUserDefineMetadata": null,
      "metadataEnabledForSearch": {
        "key1": "value1",
        "key2": "value2",
        "createdAt": "2025-01-01T00:00:00.000Z"
      },
      "startCharIdx": 456,
      "endCharIdx": 456
    }
  ]
}
```

***

### ナレッジベースを更新 <a href="#knowledge-bases-update" id="knowledge-bases-update"></a>

PUT `/api/v1/knowledge-bases/{id}/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### リクエストボディ

**リクエストパラメータ**

| フィールド                   | 型               | 必須  | 説明                                                                                                                                                                                   |
| ----------------------- | --------------- | --- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| organization            | string (uuid)   | いいえ |                                                                                                                                                                                      |
| embeddingModel          | string (uuid)   | はい  |                                                                                                                                                                                      |
| rerankerModel           | string (uuid)   | はい  |                                                                                                                                                                                      |
| name                    | string          | はい  |                                                                                                                                                                                      |
| description             | string          | いいえ |                                                                                                                                                                                      |
| numberOfRetrievedChunks | integer         | いいえ | 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です                                                                                                                                                   |
| enableHyde              | boolean         | いいえ | HyDE を有効にします。デフォルトは False です                                                                                                                                                         |
| similarityCutoff        | number (double) | いいえ | 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です                                                                                                                                                 |
| enableRerank            | boolean         | いいえ | リランキングを有効にするかどうかを指定します。デフォルトは True です                                                                                                                                                |
| enableRrf               | boolean         | いいえ | Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license.                                                            |
| vectorDatabaseType      | object          | いいえ | Type of vector database: elasticsearch or opensearch. `elasticsearch`: Elasticsearch ; `opensearch`: OpenSearch ; `oracle`: Oracle AI Database 26ai ; `synxdb`: SynxDB;              |
| vectorDatabaseUrl       | string          | いいえ | Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "<https://host:9200>"). For Oracle: DSN format (e.g., "host:1521/service\_name"). |
| vectorDatabaseApiKey    | string          | いいえ | API Key for Elasticsearch. Not used for OpenSearch.                                                                                                                                  |
| opensearchUsername      | string          | いいえ | Username for OpenSearch Basic Auth.                                                                                                                                                  |
| opensearchPassword      | string          | いいえ | Password for OpenSearch Basic Auth.                                                                                                                                                  |
| oracleUser              | string          | いいえ | Oracle database username.                                                                                                                                                            |
| oraclePassword          | string          | いいえ | Oracle database password.                                                                                                                                                            |
| synxdbUser              | string          | いいえ | SynxDB database username.                                                                                                                                                            |
| synxdbPassword          | string          | いいえ | SynxDB database password.                                                                                                                                                            |
| chatbots                | array\[IdName]  | いいえ |                                                                                                                                                                                      |
| groups                  | array\[IdName]  | いいえ | ナレッジベースにアクセスできるグループの一覧です                                                                                                                                                             |

**リクエストスキーマの例**

```typescript
{
  "organization"?: string (uuid) // 省略可
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 省略可
  "numberOfRetrievedChunks"?: integer // 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です (省略可)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (省略可)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (省略可)
  "enableRerank"?: boolean // リランキングを有効にするかどうかを指定します。デフォルトは True です (省略可)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (省略可)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (省略可)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (省略可)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (省略可)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (省略可)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (省略可)
  "oracleUser"?: string // Oracle database username. (省略可)
  "oraclePassword"?: string // Oracle database password. (省略可)
  "synxdbUser"?: string // SynxDB database username. (省略可)
  "synxdbPassword"?: string // SynxDB database password. (省略可)
  "chatbots"?: [ // 省略可
    {
      "id": string (uuid)
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧です (省略可)
    {
      "id": string (uuid)
    }
  ]
}
```

**リクエストの値の例**

```json
{
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "名前の例",
  "description": "文字列の例",
  "numberOfRetrievedChunks": 123,
  "enableHyde": true,
  "similarityCutoff": 123,
  "enableRerank": true,
  "enableRrf": true,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "文字列の例",
  "vectorDatabaseApiKey": "文字列の例",
  "opensearchUsername": "文字列の例",
  "opensearchPassword": "文字列の例",
  "oracleUser": "文字列の例",
  "oraclePassword": "文字列の例",
  "synxdbUser": "文字列の例",
  "synxdbPassword": "文字列の例",
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
```

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X PUT "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "名前の例",
    "description": "文字列の例",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "文字列の例",
    "vectorDatabaseApiKey": "文字列の例",
    "opensearchUsername": "文字列の例",
    "opensearchPassword": "文字列の例",
    "oracleUser": "文字列の例",
    "oraclePassword": "文字列の例",
    "synxdbUser": "文字列の例",
    "synxdbPassword": "文字列の例",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  }'

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
};

// リクエストボディ (payload)
const data = {
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "名前の例",
    "description": "文字列の例",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "文字列の例",
    "vectorDatabaseApiKey": "文字列の例",
    "opensearchUsername": "文字列の例",
    "opensearchPassword": "文字列の例",
    "oracleUser": "文字列の例",
    "oraclePassword": "文字列の例",
    "synxdbUser": "文字列の例",
    "synxdbPassword": "文字列の例",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  };

axios.put("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", data, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY",
    "Content-Type": "application/json"
}

# リクエストボディ (payload)
data = {
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": True,
    "similarityCutoff": 123,
    "enableRerank": True,
    "enableRrf": True,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ],
    "groups": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ]
}

response = requests.put(url, json=data, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->put("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY',
            'Content-Type' => 'application/json'
        ],
        'json' => [
            'organization' => '550e8400-e29b-41d4-a716-446655440000',
            'embeddingModel' => '550e8400-e29b-41d4-a716-446655440000',
            'rerankerModel' => '550e8400-e29b-41d4-a716-446655440000',
            'name' => 'サンプル名',
            'description' => 'サンプル文字列',
            'numberOfRetrievedChunks' => 123,
            'enableHyde' => true,
            'similarityCutoff' => 123,
            'enableRerank' => true,
            'enableRrf' => true,
            'vectorDatabaseType' => new \stdClass(),
            'vectorDatabaseUrl' => 'サンプル文字列',
            'vectorDatabaseApiKey' => 'サンプル文字列',
            'opensearchUsername' => 'サンプル文字列',
            'opensearchPassword' => 'サンプル文字列',
            'oracleUser' => 'サンプル文字列',
            'oraclePassword' => 'サンプル文字列',
            'synxdbUser' => 'サンプル文字列',
            'synxdbPassword' => 'サンプル文字列',
            'chatbots' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ],
            'groups' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ]
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマの例**

```typescript
{
  "id": string (uuid)
  "createdBy": 
  {
    "id": string (uuid)
    "name": string
  }
  "organization"?: string (uuid) // 任意
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // 再ランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "labels": [
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧 (任意)
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
  "vectorStorageSize": integer
  "chunksCount": integer
  "canUpdate": boolean // Return whether the current user can update this resource.
  "canDelete": boolean // Return whether the current user can delete this resource.
  "createdAt": string (timestamp)
  "updatedAt": string (timestamp)
}
```

**レスポンスのサンプル値**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "レスポンス文字列"
  },
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列",
  "description": "レスポンス文字列",
  "numberOfRetrievedChunks": 456,
  "enableHyde": false,
  "similarityCutoff": 456,
  "enableRerank": false,
  "enableRrf": false,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "レスポンス文字列",
  "vectorDatabaseApiKey": "レスポンス文字列",
  "opensearchUsername": "レスポンス文字列",
  "opensearchPassword": "レスポンス文字列",
  "oracleUser": "レスポンス文字列",
  "oraclePassword": "レスポンス文字列",
  "synxdbUser": "レスポンス文字列",
  "synxdbPassword": "レスポンス文字列",
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "filesCount": 456,
  "vectorStorageSize": 456,
  "chunksCount": 456,
  "canUpdate": false,
  "canDelete": false,
  "createdAt": "レスポンス文字列",
  "updatedAt": "レスポンス文字列"
}
```

***

### ナレッジベースの部分更新 <a href="#knowledge-bases-partial-update" id="knowledge-bases-partial-update"></a>

PATCH `/api/v1/knowledge-bases/{id}/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### リクエストボディ

**リクエストパラメータ**

| フィールド                   | 型               | 必須  | 説明                                                                                                                                                                                   |
| ----------------------- | --------------- | --- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| organization            | string (uuid)   | いいえ |                                                                                                                                                                                      |
| embeddingModel          | string (uuid)   | いいえ |                                                                                                                                                                                      |
| rerankerModel           | string (uuid)   | いいえ |                                                                                                                                                                                      |
| name                    | string          | いいえ |                                                                                                                                                                                      |
| description             | string          | いいえ |                                                                                                                                                                                      |
| numberOfRetrievedChunks | integer         | いいえ | 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です                                                                                                                                                   |
| enableHyde              | boolean         | いいえ | HyDE を有効にします。デフォルトは False です                                                                                                                                                         |
| similarityCutoff        | number (double) | いいえ | 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です                                                                                                                                                 |
| enableRerank            | boolean         | いいえ | 再ランキングを有効にするかどうかを指定します。デフォルトは True です                                                                                                                                                |
| enableRrf               | boolean         | いいえ | Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license.                                                            |
| vectorDatabaseType      | object          | いいえ | Type of vector database: elasticsearch or opensearch. `elasticsearch`: Elasticsearch ; `opensearch`: OpenSearch ; `oracle`: Oracle AI Database 26ai ; `synxdb`: SynxDB;              |
| vectorDatabaseUrl       | string          | いいえ | Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "<https://host:9200>"). For Oracle: DSN format (e.g., "host:1521/service\_name"). |
| vectorDatabaseApiKey    | string          | いいえ | API Key for Elasticsearch. Not used for OpenSearch.                                                                                                                                  |
| opensearchUsername      | string          | いいえ | Username for OpenSearch Basic Auth.                                                                                                                                                  |
| opensearchPassword      | string          | いいえ | Password for OpenSearch Basic Auth.                                                                                                                                                  |
| oracleUser              | string          | いいえ | Oracle database username.                                                                                                                                                            |
| oraclePassword          | string          | いいえ | Oracle database password.                                                                                                                                                            |
| synxdbUser              | string          | いいえ | SynxDB database username.                                                                                                                                                            |
| synxdbPassword          | string          | いいえ | SynxDB database password.                                                                                                                                                            |
| chatbots                | array\[IdName]  | いいえ |                                                                                                                                                                                      |
| groups                  | array\[IdName]  | いいえ | ナレッジベースにアクセスできるグループの一覧                                                                                                                                                               |

**リクエストスキーマの例**

```typescript
{
  "organization"?: string (uuid) // 任意
  "embeddingModel"?: string (uuid) // 任意
  "rerankerModel"?: string (uuid) // 任意
  "name"?: string // 任意
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // 再ランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧 (任意)
    {
      "id": string (uuid)
    }
  ]
}
```

**リクエストのサンプル値**

```json
{
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "サンプル名",
  "description": "サンプル文字列",
  "numberOfRetrievedChunks": 123,
  "enableHyde": true,
  "similarityCutoff": 123,
  "enableRerank": true,
  "enableRrf": true,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "サンプル文字列",
  "vectorDatabaseApiKey": "サンプル文字列",
  "opensearchUsername": "サンプル文字列",
  "opensearchPassword": "サンプル文字列",
  "oracleUser": "サンプル文字列",
  "oraclePassword": "サンプル文字列",
  "synxdbUser": "サンプル文字列",
  "synxdbPassword": "サンプル文字列",
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
```

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出しの例 (Shell)
curl -X PATCH "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  }'

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
};

// リクエストボディ (payload)
const data = {
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": true,
    "similarityCutoff": 123,
    "enableRerank": true,
    "enableRrf": true,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ],
    "groups": [
      {
        "id": "550e8400-e29b-41d4-a716-446655440000"
      }
    ]
  };

axios.patch("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", data, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY",
    "Content-Type": "application/json"
}

# リクエストボディ (payload)
data = {
    "organization": "550e8400-e29b-41d4-a716-446655440000",
    "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
    "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
    "name": "サンプル名",
    "description": "サンプル文字列",
    "numberOfRetrievedChunks": 123,
    "enableHyde": True,
    "similarityCutoff": 123,
    "enableRerank": True,
    "enableRrf": True,
    "vectorDatabaseType": {},
    "vectorDatabaseUrl": "サンプル文字列",
    "vectorDatabaseApiKey": "サンプル文字列",
    "opensearchUsername": "サンプル文字列",
    "opensearchPassword": "サンプル文字列",
    "oracleUser": "サンプル文字列",
    "oraclePassword": "サンプル文字列",
    "synxdbUser": "サンプル文字列",
    "synxdbPassword": "サンプル文字列",
    "chatbots": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ],
    "groups": [
        {
            "id": "550e8400-e29b-41d4-a716-446655440000"
        }
    ]
}

response = requests.patch(url, json=data, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->patch("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY',
            'Content-Type' => 'application/json'
        ],
        'json' => [
            'organization' => '550e8400-e29b-41d4-a716-446655440000',
            'embeddingModel' => '550e8400-e29b-41d4-a716-446655440000',
            'rerankerModel' => '550e8400-e29b-41d4-a716-446655440000',
            'name' => 'サンプル名',
            'description' => 'サンプル文字列',
            'numberOfRetrievedChunks' => 123,
            'enableHyde' => true,
            'similarityCutoff' => 123,
            'enableRerank' => true,
            'enableRrf' => true,
            'vectorDatabaseType' => new \stdClass(),
            'vectorDatabaseUrl' => 'サンプル文字列',
            'vectorDatabaseApiKey' => 'サンプル文字列',
            'opensearchUsername' => 'サンプル文字列',
            'opensearchPassword' => 'サンプル文字列',
            'oracleUser' => 'サンプル文字列',
            'oraclePassword' => 'サンプル文字列',
            'synxdbUser' => 'サンプル文字列',
            'synxdbPassword' => 'サンプル文字列',
            'chatbots' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ],
            'groups' => [
                [
                    'id' => '550e8400-e29b-41d4-a716-446655440000'
                ]
            ]
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマの例**

```typescript
{
  "id": string (uuid)
  "createdBy": 
  {
    "id": string (uuid)
    "name": string
  }
  "organization"?: string (uuid) // 任意
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参照チャンクの数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // 再ランキングを有効にするかどうかを指定します。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "labels": [
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧 (任意)
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
  "vectorStorageSize": integer
  "chunksCount": integer
  "canUpdate": boolean // Return whether the current user can update this resource.
  "canDelete": boolean // Return whether the current user can delete this resource.
  "createdAt": string (timestamp)
  "updatedAt": string (timestamp)
}
```

**レスポンスのサンプル値**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "レスポンス文字列"
  },
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列",
  "description": "レスポンス文字列",
  "numberOfRetrievedChunks": 456,
  "enableHyde": false,
  "similarityCutoff": 456,
  "enableRerank": false,
  "enableRrf": false,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "レスポンス文字列",
  "vectorDatabaseApiKey": "レスポンス文字列",
  "opensearchUsername": "レスポンス文字列",
  "opensearchPassword": "レスポンス文字列",
  "oracleUser": "レスポンス文字列",
  "oraclePassword": "レスポンス文字列",
  "synxdbUser": "レスポンス文字列",
  "synxdbPassword": "レスポンス文字列",
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "filesCount": 456,
  "vectorStorageSize": 456,
  "chunksCount": 456,
  "canUpdate": false,
  "canDelete": false,
  "createdAt": "レスポンス文字列",
  "updatedAt": "レスポンス文字列"
}
```

***

### ナレッジベースの削除 <a href="#knowledge-bases-destroy" id="knowledge-bases-destroy"></a>

DELETE `/api/v1/knowledge-bases/{id}/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X DELETE "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

// リクエストボディ (payload)
const data = null;

axios.delete("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", data, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.delete(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->delete("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

| ステータスコード | 説明               |
| -------- | ---------------- |
| 204      | No response body |

***

### RRF の利用可否を確認 <a href="#knowledge-bases-check-rrf-availability-retrieve" id="knowledge-bases-check-rrf-availability-retrieve"></a>

GET `/api/v1/knowledge-bases/{id}/check-rrf-availability/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/check-rrf-availability/" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/check-rrf-availability/", config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/check-rrf-availability/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/check-rrf-availability/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマ例**

```typescript
{
  "id": string (uuid)
  "createdBy": 
  {
    "id": string (uuid)
    "name": string
  }
  "organization"?: string (uuid) // 任意
  "embeddingModel": string (uuid)
  "rerankerModel": string (uuid)
  "name": string
  "description"?: string // 任意
  "numberOfRetrievedChunks"?: integer // 取得する参考チャンク数です。デフォルトは 12、最小値は 1 です (任意)
  "enableHyde"?: boolean // HyDE を有効にします。デフォルトは False です (任意)
  "similarityCutoff"?: number (double) // 類似度のしきい値です。デフォルトは 0.0、範囲は 0.0-1.0 です (任意)
  "enableRerank"?: boolean // リランキングを有効にするかどうかです。デフォルトは True です (任意)
  "enableRrf"?: boolean // Enable Reciprocal Rank Fusion for hybrid search. Disable this if using a custom Elasticsearch without enterprise license. (任意)
  "vectorDatabaseType"?:  // Type of vector database: elasticsearch or opensearch.

* `elasticsearch` - Elasticsearch
* `opensearch` - OpenSearch
* `oracle` - Oracle AI Database 26ai
* `synxdb` - SynxDB (任意)
  {
  }
  "vectorDatabaseUrl"?: string // Custom vector database endpoint URL or Oracle DSN. For Elasticsearch/OpenSearch: URL format (e.g., "https://host:9200"). For Oracle: DSN format (e.g., "host:1521/service_name"). (任意)
  "vectorDatabaseApiKey"?: string // API Key for Elasticsearch. Not used for OpenSearch. (任意)
  "opensearchUsername"?: string // Username for OpenSearch Basic Auth. (任意)
  "opensearchPassword"?: string // Password for OpenSearch Basic Auth. (任意)
  "oracleUser"?: string // Oracle database username. (任意)
  "oraclePassword"?: string // Oracle database password. (任意)
  "synxdbUser"?: string // SynxDB database username. (任意)
  "synxdbPassword"?: string // SynxDB database password. (任意)
  "labels": [
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "chatbots"?: [ // 任意
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "groups"?: [ // ナレッジベースにアクセスできるグループの一覧 (任意)
    {
      "id": string (uuid)
      "name": string
    }
  ]
  "filesCount": integer // Return count of KnowledgeBaseFile excluding processed files, conversation attachments, and soft-deleted.
  "vectorStorageSize": integer
  "chunksCount": integer
  "canUpdate": boolean // Return whether the current user can update this resource.
  "canDelete": boolean // Return whether the current user can delete this resource.
  "createdAt": string (timestamp)
  "updatedAt": string (timestamp)
}
```

**レスポンスの値の例**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "createdBy": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "レスポンス文字列"
  },
  "organization": "550e8400-e29b-41d4-a716-446655440000",
  "embeddingModel": "550e8400-e29b-41d4-a716-446655440000",
  "rerankerModel": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列",
  "description": "レスポンス文字列",
  "numberOfRetrievedChunks": 456,
  "enableHyde": false,
  "similarityCutoff": 456,
  "enableRerank": false,
  "enableRrf": false,
  "vectorDatabaseType": {},
  "vectorDatabaseUrl": "レスポンス文字列",
  "vectorDatabaseApiKey": "レスポンス文字列",
  "opensearchUsername": "レスポンス文字列",
  "opensearchPassword": "レスポンス文字列",
  "oracleUser": "レスポンス文字列",
  "oraclePassword": "レスポンス文字列",
  "synxdbUser": "レスポンス文字列",
  "synxdbPassword": "レスポンス文字列",
  "labels": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "chatbots": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "groups": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "レスポンス文字列"
    }
  ],
  "filesCount": 456,
  "vectorStorageSize": 456,
  "chunksCount": 456,
  "canUpdate": false,
  "canDelete": false,
  "createdAt": "レスポンス文字列",
  "updatedAt": "レスポンス文字列"
}
```

***

### ラベルを Excel にエクスポート <a href="#knowledge-bases-export-labels-excel-retrieve" id="knowledge-bases-export-labels-excel-retrieve"></a>

GET `/api/v1/knowledge-bases/{id}/export-labels-excel/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-labels-excel/" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-labels-excel/", config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-labels-excel/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-labels-excel/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

| ステータスコード | 説明                  |
| -------- | ------------------- |
| 200      | Excel file download |

***

### Excel からラベルをインポート <a href="#knowledge-bases-import-labels-excel-create" id="knowledge-bases-import-labels-excel-create"></a>

POST `/api/v1/knowledge-bases/{id}/import-labels-excel/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X POST "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-labels-excel/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -F "excelFile=@example_file.txt"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');
const FormData = require('form-data');

// FormData オブジェクトを作成します
const formData = new FormData();
// 実際のファイルに置き換えてください
formData.append('excelFile', /* 実際のファイルオブジェクト */, 'example_file.txt');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    ...formData.getHeaders()
  }
};

axios.post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-labels-excel/", formData, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-labels-excel/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}

# ファイルとフォームデータを用意します
files = {
    'excelFile': ('example_file.txt', open('example_file.txt', 'rb'), 'text/plain')
}

response = requests.post(url, files=files, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-labels-excel/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ],
        'multipart' => [
            [
                'name' => 'excelFile',
                'contents' => fopen('example_file.txt', 'r'),
                'filename' => 'example_file.txt'
            ]
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマ例**

```typescript
{
  "success"?: boolean // 任意
  "updated_count"?: integer // 任意
  "total_rows"?: integer // 任意
  "errors"?: [ // 任意
    {
      "row"?: integer // 任意
      "file_id"?: string // 任意
      "error"?: string // 任意
    }
  ]
}
```

**レスポンスの値の例**

```json
{
  "success": false,
  "updated_count": 456,
  "total_rows": 456,
  "errors": [
    {
      "row": 456,
      "file_id": "レスポンス文字列",
      "error": "レスポンス文字列"
    }
  ]
}
```

***

### メタデータを Excel にエクスポート <a href="#knowledge-bases-export-metadata-excel-retrieve" id="knowledge-bases-export-metadata-excel-retrieve"></a>

GET `/api/v1/knowledge-bases/{id}/export-metadata-excel/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-metadata-excel/" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-metadata-excel/", config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-metadata-excel/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/export-metadata-excel/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

| ステータスコード | 説明                |
| -------- | ----------------- |
| 200      | Excel ファイルのダウンロード |

***

### Excel からメタデータをインポート <a href="#knowledge-bases-import-metadata-excel-create" id="knowledge-bases-import-metadata-excel-create"></a>

POST `/api/v1/knowledge-bases/{id}/import-metadata-excel/`

#### パラメータ

| パラメータ名 | 必須 | 型      | 説明                                             |
| ------ | -- | ------ | ---------------------------------------------- |
| `id`   | ✅  | string | A UUID string identifying this Knowledge Base. |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X POST "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-metadata-excel/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -F "excelFile=@example_file.txt"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');
const FormData = require('form-data');

// FormData オブジェクトを作成します
const formData = new FormData();
// 実際のファイルに置き換えてください
formData.append('excelFile', /* 実際のファイルオブジェクト */, 'example_file.txt');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    ...formData.getHeaders()
  }
};

axios.post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-metadata-excel/", formData, config)
  .then(response => {
    console.log('レスポンスを正常に取得しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-metadata-excel/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}

# ファイルとフォームデータを用意します
files = {
    'excelFile': ('example_file.txt', open('example_file.txt', 'rb'), 'text/plain')
}

response = requests.post(url, files=files, headers=headers)
try:
    print("レスポンスを正常に取得しました:")
    print(response.json())
except Exception as e:
    print("リクエストエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/import-metadata-excel/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY'
        ],
        'multipart' => [
            [
                'name' => 'excelFile',
                'contents' => fopen('example_file.txt', 'r'),
                'filename' => 'example_file.txt'
            ]
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に取得しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 200**

**レスポンススキーマ例**

```typescript
{
  "success"?: boolean // 任意
  "updated_count"?: integer // 任意
  "total_rows"?: integer // 任意
  "errors"?: [ // 任意
    {
      "row"?: integer // 任意
      "file_id"?: string // 任意
      "error"?: string // 任意
    }
  ]
}
```

**レスポンスの値の例**

```json
{
  "success": false,
  "updated_count": 456,
  "total_rows": 456,
  "errors": [
    {
      "row": 456,
      "file_id": "レスポンス文字列",
      "error": "レスポンス文字列"
    }
  ]
}
```

***

### 新しいラベルを作成 <a href="#knowledge-bases-labels-create" id="knowledge-bases-labels-create"></a>

POST `/api/v1/knowledge-bases/{knowledgeBasePk}/labels/`

#### パラメータ

| パラメータ名            | 必須 | 型      | 説明 |
| ----------------- | -- | ------ | -- |
| `knowledgeBasePk` | ✅  | string |    |

#### リクエストボディ

**リクエストパラメータ**

| フィールド | 型      | 必須 | 説明 |
| ----- | ------ | -- | -- |
| name  | string | はい |    |

**リクエストスキーマ例**

```typescript
{
  "name": string
}
```

**リクエストの値の例**

```json
{
  "name": "名前の例"
}
```

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出し例 (Shell)
curl -X POST "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/" \
  -H "Authorization: Api-Key YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "名前の例"
  }'

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY',
    'Content-Type': 'application/json'
  }
};

// リクエストボディ (payload)
const data = {
    "name": "サンプル名"
  };

axios.post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/", data, config)
  .then(response => {
    console.log('レスポンスを正常に受信しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY",
    "Content-Type": "application/json"
}

# リクエストボディ (payload)
data = {
    "name": "サンプル名"
}

response = requests.post(url, json=data, headers=headers)
try:
    print("レスポンスを正常に受信しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
    $response = $client->post("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/", [
        'headers' => [
            'Authorization' => 'Api-Key YOUR_API_KEY',
            'Content-Type' => 'application/json'
        ],
        'json' => [
            'name' => 'サンプル名'
        ]
    ]);
    
    $data = json_decode($response->getBody(), true);
    echo "レスポンスを正常に受信しました:\n";
    print_r($data);
} catch (Exception $e) {
    echo 'リクエストでエラーが発生しました: ' . $e->getMessage();
}
?>
```

{% endtab %}
{% endtabs %}

#### レスポンスボディ

**ステータスコード: 201**

**レスポンススキーマの例**

```typescript
{
  "id": string (uuid)
  "name"?: string // 省略可能
}
```

**レスポンス値の例**

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "レスポンス文字列"
}
```

***

### ナレッジベースのラベル一覧を取得します <a href="#knowledge-bases-labels-list" id="knowledge-bases-labels-list"></a>

GET `/api/v1/knowledge-bases/{knowledgeBasePk}/labels/`

#### パラメータ

| パラメータ名            | 必須 | 型       | 説明                                             |
| ----------------- | -- | ------- | ---------------------------------------------- |
| `knowledgeBasePk` | ✅  | string  |                                                |
| `page`            | ❌  | integer | A page number within the paginated result set. |
| `pageSize`        | ❌  | integer | Number of results to return per page.          |

#### コード例

{% tabs %}
{% tab title="Shell/Bash" %}

```bash
# API 呼び出しの例 (Shell)
curl -X GET "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/?page=1&pageSize=1" \
  -H "Authorization: Api-Key YOUR_API_KEY"

# 実行前に YOUR_API_KEY を置き換え、リクエストデータを確認してください。
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const axios = require('axios');

// リクエストヘッダーを設定します
const config = {
  headers: {
    'Authorization': 'Api-Key YOUR_API_KEY'
  }
};

axios.get("https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/?page=1&pageSize=1", config)
  .then(response => {
    console.log('レスポンスを正常に受信しました:');
    console.log(response.data);
  })
  .catch(error => {
    console.error('リクエストでエラーが発生しました:');
    console.error(error.response?.data || error.message);
  });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.maiagent.ai/api/v1/knowledge-bases/550e8400-e29b-41d4-a716-446655440000/labels/?page=1&pageSize=1"
headers = {
    "Authorization": "Api-Key YOUR_API_KEY"
}


response = requests.get(url, headers=headers)
try:
    print("レスポンスを正常に受信しました:")
    print(response.json())
except Exception as e:
    print("リクエストでエラーが発生しました:", e)
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php
require 'vendor/autoload.php';

$client = new GuzzleHttp\Client();

try {
[...]
